SynqDocs
Management APIBrands

Remove a brand's icon

Its bots and pages show its logo again where they showed the icon. The file is kept a while for bot messages already posted, then deleted. Needs `org.brands.edit`. Recorded as `brand.updated`.

DELETE/v1/orgs/{org}/brands/{brand}/icon

Its bots and pages show its logo again where they showed the icon. The file is kept a while for bot messages already posted, then deleted. Needs org.brands.edit. Recorded as brand.updated.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
brand*string

The brand's id

Match^brd_[0-9a-hjkmnp-tv-z]{26}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/brands/brd_01h455vb4pex5vsknk084sn02q/icon" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "brd_01h455vb4pex5vsknk084sn02q",  "org_id": "org_01h455vb4pex5vsknk084sn02q",  "issuer_slug": "acme",  "issuer": "https://acme.auth.synq.build",  "custom_domain_issuer": "https://login.acme.com",  "name": "Acme",  "is_default": true,  "sign_up_enabled": true,  "sign_in_cancels_deletion": true,  "breached_password_check": true,  "show_last_used": true,  "link_conflicts": "move",  "merge_empty_accounts": true,  "move_proved_identities": true,  "link_reauth_window": 7200,  "existing_account_prompt": true,  "wallet_name_usernames": true,  "logo_url": "https://app.acme.example",  "icon_url": "https://app.acme.example",  "primary_color": "#4f46e5",  "background_color": "#ffffff",  "support_email": "help@acme.example",  "privacy_policy_url": "https://app.acme.example",  "terms_of_service_url": "https://app.acme.example",  "created_at": "2026-10-21T12:00:00.000Z"}